# Uses of Class
org.apache.lucene.search.ScorerSupplier

Packages that use ScorerSupplier
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of ScorerSupplier in org.apache.lucene.search

Subclasses of ScorerSupplier in org.apache.lucene.search
Modifier and Type
Class
Description
`protected static final class`
`Weight.DefaultScorerSupplier`
A wrap for default scorer supplier.
Methods in org.apache.lucene.search that return ScorerSupplier
Modifier and Type
Method
Description
`ScorerSupplier`
DisjunctionMaxQuery.DisjunctionMaxWeight.`scorerSupplier(LeafReaderContext context)`
`ScorerSupplier`
FilterWeight.`scorerSupplier(LeafReaderContext context)`
`ScorerSupplier`
IndriAndWeight.`scorerSupplier(LeafReaderContext context)`
`ScorerSupplier`
PhraseWeight.`scorerSupplier(LeafReaderContext context)`
`abstract ScorerSupplier`
Weight.`scorerSupplier(LeafReaderContext context)`
Get a `ScorerSupplier`, which allows knowing the cost of the `Scorer` before building it.